-------------------
-- Audio Toggle v1.1
-- Author: Endox
-------------------

ZO_CreateStringId("SI_BINDING_NAME_TOGGLE_MUSIC", "Toggle Music")
ZO_CreateStringId("SI_BINDING_NAME_TOGGLE_SOUND", "Toggle Sounds")

function ToggleMusic()
	local enabled = not GetSetting_Bool(SETTING_TYPE_AUDIO, AUDIO_SETTING_MUSIC_ENABLED);
	SetSetting(SETTING_TYPE_AUDIO, AUDIO_SETTING_MUSIC_ENABLED, tostring(enabled), 1)
	if enabled then
		d("|cFFFF00Music enabled")
	else
		d("|cFFFF00Music disabled")
	end
end

function ToggleSound()
	local enabled = not GetSetting_Bool(SETTING_TYPE_AUDIO, AUDIO_SETTING_SOUND_ENABLED);
	SetSetting(SETTING_TYPE_AUDIO, AUDIO_SETTING_SOUND_ENABLED, tostring(enabled), 1)
	if enabled then
		d("|cFFFF00Sounds enabled")
	else
		d("|cFFFF00Sounds disabled")
	end
end
